Compute Histogram will reset max value of band 1 to 0

2018-01-24 10:03 AM - Joaquim Rosa

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version:2.18.16 Regression?: No

Operating System: Ubuntu 17.10 (64 bit) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25840

Description

In QGIS desktop, clicking "Compute Histogram" in the Histogram tab of the Layer Properties window, will reset the max value of Band 1 to

0.

Steps to reproduce:

- Open a TIF file, for example.

- Open the layer properties.

- Click on the Style tab.

- Give values for min and max for each band.

- Click on the Histogram tab.

- Click Compute Histogram.

- Go back to the Style tab, and see that the max value is 0 for band 1.

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-08 08:31 AM - Joaquim Rosa

- Assignee set to Jürgen Fischer

I can confirm that the bug no longer exists in QGIS 3.4. Thank you.

#3 - 2019-02-08 12:08 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

2024-04-27 1/1


